Bug 986839 - Missing icons in Xfce
Missing icons in Xfce
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: elementary-icon-theme (Show other bugs)
19
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 04:27 EDT by Raphael Groner
Modified: 2013-09-06 11:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 986942 (view as bug list)
Environment:
Last Closed: 2013-09-06 11:53:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample screen shot: Administration menu (228.54 KB, image/png)
2013-07-22 04:27 EDT, Raphael Groner
no flags Details

  None (edit)
Description Raphael Groner 2013-07-22 04:27:15 EDT
Created attachment 776792 [details]
sample screen shot: Administration menu

Description of problem:
I miss some icons: 
- Back In Time, Back In Time (root)
- Terminal
- Administration (menu)
- Multimedia menu: Volume Control, PulseAudio Volume
- Application finder
- maybe others… (not installed)

Version-Release number of selected component (if applicable):
elementary-icon-theme-3.0-1.fc19.noarch

How reproducible:
yes

Steps to Reproduce:
1. install elementary-icon-theme-3.0-1.fc19.noarch
2. select elementary as the icon theme to use in Xfce
3.

Actual results:
missing/empty icons

Expected results:
nice icons everywhere

Additional info:
Comment 1 hannes 2013-07-22 04:45:43 EDT
Hi Raphael,

that's why I refused to update the package, but the bugreporter and the new packager only cared about Gnome.
I would suggest to switch to https://github.com/shimmerproject/elementary-xfce
I already prepared a package and will try to get it into fedora.

Hope this helps

Johannes
Comment 2 Raphael Groner 2013-07-22 06:26:41 EDT
Hi Hannes,

thanks for the fast response.

Yeah, this issue is somehow strange.

$ find / -name gtk-save.* 2>/dev/null
/usr/share/icons/gnome/48x48/actions/gtk-save.png
/usr/share/icons/gnome/256x256/actions/gtk-save.png
/usr/share/icons/gnome/16x16/actions/gtk-save.png
/usr/share/icons/gnome/24x24/actions/gtk-save.png
/usr/share/icons/gnome/22x22/actions/gtk-save.png
/usr/share/icons/gnome/32x32/actions/gtk-save.png
$ grep Icon /usr/share/applications/backintime-gnome.desktop
Icon=gtk-save
$

Should I report that individually, e.g. as a new separate bug to backintime?
Comment 3 Raphael Groner 2013-07-22 08:14:14 EDT
(In reply to hannes from comment #1)
…
> I would suggest to switch to
> https://github.com/shimmerproject/elementary-xfce
> I already prepared a package and will try to get it into fedora.

I would suggest, give it a chance. It should not be too difficult. Maybe take the following PKGBUILD as a template.

https://aur.archlinux.org/packages/el/elementary-xfce-icons/PKGBUILD
Comment 4 hannes 2013-07-22 14:34:44 EDT
Please take a look at that src.rpm:
http://hannes.fedorapeople.org/elementary-xfce-icon-theme-0.3-1.fc19.src.rpm
It should be easy to build the icon theme from it and it works pretty good over here.
Will try to find some time to get it into fedora, but time is pretty scarce.
Comment 5 Christopher Meng 2013-07-22 21:08:03 EDT
We don't need to see how Archlinux package it.

But I'll submit a package review later.

Johannes, will you review it?
Comment 6 Raphael Groner 2013-07-24 05:05:12 EDT
(In reply to hannes from comment #4)
> Please take a look at that src.rpm:
> http://hannes.fedorapeople.org/elementary-xfce-icon-theme-0.3-1.fc19.src.rpm
…

Build sucessful:

$ koji build --scratch f19 elementary-xfce-icon-theme-0.3-1.fc19.src.rpm 
Uploading srpm: elementary-xfce-icon-theme-0.3-1.fc19.src.rpm
[====================================] 100% 00:01:05   4.87 MiB  76.30 KiB/sec
Created task: 5650309
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5650309
Watching tasks (this may be safely interrupted)...
5650309 build (f19, elementary-xfce-icon-theme-0.3-1.fc19.src.rpm): open (arm02-builder16.arm.fedoraproject.org)
  5650310 buildArch (elementary-xfce-icon-theme-0.3-1.fc19.src.rpm, noarch): open (buildvm-19.phx2.fedoraproject.org)
5650309 build (f19, elementary-xfce-icon-theme-0.3-1.fc19.src.rpm): open (arm02-builder16.arm.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
  5650310 buildArch (elementary-xfce-icon-theme-0.3-1.fc19.src.rpm, noarch): open (buildvm-19.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

5650309 build (f19, elementary-xfce-icon-theme-0.3-1.fc19.src.rpm) completed successfully


- Why do you use fc19 in the file name? IMHO, it should be noarch cause only icons in the package.
- How is the uninstall task done? I don't see a snippet for it in the spec file.
Comment 7 Raphael Groner 2013-07-24 05:56:42 EDT
# rpmlint elementary-xfce-icon-theme-0.3-1.fc19.noarch.rpm 
elementary-xfce-icon-theme.noarch: W: spelling-error %description -l en_US symlinks -> slinks
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 8 Christopher Meng 2013-07-24 06:03:58 EDT
I'll submit the review request tomorrow with fixes. 

Please wait. 

Thanks.
Comment 9 hannes 2013-07-24 06:11:03 EDT
I'm going to take care of that. It would be great if you could review it then.
Comment 10 Christopher Meng 2013-07-24 22:22:28 EDT
(In reply to hannes from comment #9)
> I'm going to take care of that. It would be great if you could review it
> then.

OK, so please submit it ASAP.

I don't want to make the problem really big.

Thanks.
Comment 12 Fedora Update System 2013-07-29 08:47:04 EDT
elementary-xfce-icon-theme-0.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/elementary-xfce-icon-theme-0.3-3.fc19
Comment 13 Fedora Update System 2013-07-29 08:47:16 EDT
elementary-xfce-icon-theme-0.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/elementary-xfce-icon-theme-0.3-3.fc18
Comment 14 Fedora Update System 2013-08-07 18:58:11 EDT
elementary-xfce-icon-theme-0.3-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-08-07 19:03:40 EDT
elementary-xfce-icon-theme-0.3-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.